# Luakit Documentation / Modules / quickmarks

# Module `quickmarks`

Vimperator-style quickmarking

Inspired by vimperator's quickmarks feature, this module allows you to associate up to sixty-two websites with a set of easy-to-type keybindings. Users can then type a three-keystroke command to open any of these websites in the current tab, a new tab, or a new window.

## Adding a new quickmark

You can mark any url by pressing `M{a-zA-Z0-9}`. This will save the url of the current page, creating a new shortcut or overwriting an existing one.

Every quickmark mapping is saved in the `quickmarks` file in the luakit data directory, and is shared between multiple luakit instances.

## Jumping to a marked url

After adding a quickmark, you can open it in the current window with `go{a-zA-Z0-9}`, or in a new tab with `gn{a-zA-Z0-9}`. To list all quickmarks, run `:qmarks`.

## Managing quickmarks

As well as using the included quickmarks manager and various commands, you can directly edit the `quickmarks` file in the luakit data directory.

## Files and Directories

- The quickmarks file is called `quickmarks` and is in the luakit data directory.

## Functions

### quickmarks.load (fd_name)

Load quick bookmarks from storage file into memory.

#### Parameters

- fd_name
  Type: string
  Bookmarks storage file path or `nil` to use default one.

### quickmarks.save (fd_name)

Save quick bookmarks to file.

#### Parameters

- fd_name
  Type: string
  Bookmarks storage file path or `nil` to use default one.

### quickmarks.get (token, load_file)

Return URI related to given key or nil if does not exist.

#### Parameters

- token
  Type: string
  Quick bookmarks mapping token.
- load_file
  Type: boolean
  Call `quickmark.load()` before retrieving the URI.

### quickmarks.get_tokens ()

Return a list of all the tokens in the quickmarks table.

### quickmarks.set (token, uris, load_file, save_file)

Set new quick bookmarks mapping.

#### Parameters

- token
  Type: string
  The token under which given uris will be available.
- uris
  Type: string or {string}
  List of locations to quickmark.
- load_file
  Type: boolean
  Call `quickmark.load()` before adding the mapping.
- save_file
  Type: boolean
  Call `quickmark.save()` after adding the mapping.

### quickmarks.del (token, load_file, save_file)

Delete a quickmark.

#### Parameters

- token
  Type: string
  The quickmark token.
- load_file
  Type: boolean
  Call `quickmark.load()` before deletion.
- save_file
  Type: boolean
  Call `quickmark.save()` after deletion.

### quickmarks.delall (save_file)

Delete all quickmarks.

#### Parameters

- save_file
  Type: boolean
  Call quickmark.save() function.